Bug 72657 - gdmsetup doesn't use same authentification as the other system configuration tools
gdmsetup doesn't use same authentification as the other system configuration ...
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: gdm (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
:
Depends On:
Blocks: 67218
  Show dependency treegraph
 
Reported: 2002-08-26 09:27 EDT by Jan Sabbe
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-28 18:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Sabbe 2002-08-26 09:27:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
You always have to type in the rootpassword when you start gdmsetup, even if you
started a redhat-config-program before.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start up Keyboard in system-settings:// and give root-password.
2.Start up Users & Groups in system-settings://, no need for the root-password.
3.Start up Login Screen

Actual Results:  You need to type in the root-password, even tough the keys in
the status area is still there.
	

Expected Results:  That it would start up without asking my root password.

Additional info:
Comment 1 Havoc Pennington 2002-08-27 17:16:05 EDT
hrm, the pam config file looks reasonable...
Comment 2 Havoc Pennington 2002-08-28 18:28:23 EDT
pam_timestamp needed to be before the pam_stack thing, I believe:

auth       sufficient   /lib/security/pam_rootok.so
auth       required     /lib/security/pam_stack.so service=system-auth
auth       sufficient   /lib/security/pam_timestamp.so

moved in 2.4.0.7-8, should solve the problem.
Comment 3 Jay Turner 2002-09-03 16:08:04 EDT
Fix confirmed with gdm-2.4.0.7-10.

Note You need to log in before you can comment on or make changes to this bug.